# OpenLayers.Layer.KaMap

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.KaMap |
Properties |
isBaseLayer | {Boolean} KaMap Layer is always a base layer
units | {?}
resolution | {Float}
Constants |
DEFAULT_PARAMS | {Object} parameters set by default.
Constructor |
OpenLayers.Layer.KaMap |
Functions |
getURL |
calculateGridLayout | ka-Map uses the center point of the map as an origin for its tiles.
clone |
getTileBounds | Returns The tile bounds for a layer given a pixel location.

### Properties

### isBaseLayer

{Boolean} KaMap Layer is always a base layer

### units

{?}

### resolution

{Float}

### Constants

### DEFAULT_PARAMS

{Object} parameters set by default. The default parameters set the format via the ‘i’ parameter to ‘jpeg’.

### Constructor

### OpenLayers.Layer.KaMap

#### Parameters

name | {String}
url | {String}
params | {Object} Parameters to be sent to the HTTP server in the query string for the tile. The format can be set via the ‘i’ parameter (defaults to jpg) , and the map should be set via the ‘map’ parameter. It has been reported that ka-Map may behave inconsistently if your format parameter does not match the format parameter configured in your config.php. (See ticket #327 for more information.)
options | {Object} Additional options for the layer. Any of the APIProperties listed on this layer, and any layer types it extends, can be overridden through the options parameter.

### Functions

### getURL

> getURL: function ( | bounds | )

#### Parameters

bounds | {OpenLayers.Bounds}

#### Returns

{String} A string with the layer’s url and parameters and also the passed-in bounds and appropriate tile size specified as parameters

### calculateGridLayout

> calculateGridLayout: function( | bounds,
> | origin,
> | resolution | )

ka-Map uses the center point of the map as an origin for its tiles. Override calculateGridLayout to center tiles correctly for this case.

#### Parameters

bounds | {<OpenLayers.Bound>}
origin | {OpenLayers.LonLat}
resolution | {Number}

#### Returns

Object containing properties tilelon, tilelat, tileoffsetlat, tileoffsetlat, tileoffsetx, tileoffsety

### clone

> clone: function ( | obj | )

#### Parameters

obj | {Object}

#### Returns

{<OpenLayers.Layer.Kamap>} An exact clone of this OpenLayers.Layer.KaMap

### getTileBounds

> getTileBounds: function( | viewPortPx | )

Returns The tile bounds for a layer given a pixel location.

#### Parameters

viewPortPx | {OpenLayers.Pixel} The location in the viewport.

#### Returns

{OpenLayers.Bounds} Bounds of the tile at the given pixel location.

> getURL: function ( | bounds | )

> calculateGridLayout: function( | bounds,
> | origin,
> | resolution | )

ka-Map uses the center point of the map as an origin for its tiles.

> clone: function ( | obj | )

> getTileBounds: function( | viewPortPx | )

Returns The tile bounds for a layer given a pixel location.
Base class for layers that use a lattice of tiles.
Instances of this class represent bounding boxes.
This class represents a longitude and latitude pair
This class represents a screen coordinate, in x and y coordinates
Close